'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
var import_component_identifier = void 0,
    import_react_identifier = void 0,
    export_component_identifier = void 0;

var RENDER_NAME = 'PureVisulizerRender';
exports.default = {
	getSuperClassName: function getSuperClassName(t, node) {
		var superClass = node.superClass;

		var supClassName = void 0;
		if (t.isMemberExpression(superClass)) {
			supClassName = superClass.object.name + '.' + superClass.property.name;
		} else if (t.isIdentifier(superClass)) {
			supClassName = superClass.name;
		}
		if (supClassName && supClassName === import_component_identifier) {
			export_component_identifier = node.id.name;
			// console.log('export_component_identifier :',export_component_identifier)
		}
	},
	getImportIdentifiers: function getImportIdentifiers(t, specifier) {
		if (t.isImportSpecifier(specifier)) {
			import_component_identifier = specifier.imported.name;
		} else if (t.isImportDefaultSpecifier(specifier)) {
			import_react_identifier = specifier.local.name;
			import_component_identifier = specifier.local.name + '.Component';
		}
	},
	changeExportExpression: function changeExportExpression(t) {
		var lib = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'babel-plugin-react-visualizer-dev/lib/component';
		var path = arguments[2];
		var pPath = arguments[3];
		var node = path.node;

		if (export_component_identifier && node.name === export_component_identifier) {
			pPath.insertBefore(t.importDeclaration([t.ImportDefaultSpecifier(t.identifier(RENDER_NAME))], t.stringLiteral(lib)));
			path.replaceWithSourceString(RENDER_NAME + '(' + export_component_identifier + ')');
			export_component_identifier = null;
		}
	}
};